Bug 107591 - Braces in MathType 5.0 equations from OOXML missing in Linux (shown in Windows)
Summary: Braces in MathType 5.0 equations from OOXML missing in Linux (shown in Windows)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.2.2.2 release
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:docx
Depends on:
Blocks:
 
Reported: 2017-05-03 12:02 UTC by Ophir LOJKINE
Modified: 2019-05-05 03:30 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
File containing equations (1.45 MB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2017-05-03 12:02 UTC, Ophir LOJKINE
Details
screenshot in Linux with LO 5.2.2 - question marks (152.09 KB, image/png)
2017-05-03 12:03 UTC, Ophir LOJKINE
Details
screenshot in Windows with Writer 5.3.2 - OK (2.53 MB, image/png)
2017-05-03 14:34 UTC, Timur
Details
screenshot in Linux with Writer 5.3.0 - braces missing (229.02 KB, image/png)
2017-05-03 14:35 UTC, Timur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ophir LOJKINE 2017-05-03 12:02:45 UTC
Created attachment 133027 [details]
File containing equations

The file attached to this bug was exported by microsoft word and the equations inside it do not display correctly in LibreOffice Writer.

They display with black question marks instead of some characters.
Comment 1 Ophir LOJKINE 2017-05-03 12:03:47 UTC
Created attachment 133028 [details]
screenshot in Linux with LO 5.2.2 - question marks
Comment 2 Timur 2017-05-03 14:34:04 UTC
Created attachment 133032 [details]
screenshot in Windows with Writer 5.3.2 - OK

Equations that were wrong are MathType 5.0 and those that were fine are Microsoft Equation 3.0. MathType 5.0 can't be edited, that's Bug 33590.
Not reproduced in Windows. Looks OK with 5.3.2. Screenshot attached.
Comment 3 Timur 2017-05-03 14:35:26 UTC
Created attachment 133033 [details]
screenshot in Linux with Writer 5.3.0 - braces missing

Reproduced as reported in Linux with 5.1.6 but better with 5.3.0 and master, just braces are missing. 
So I'll confirm but also change title.
Comment 4 QA Administrators 2018-05-04 02:40:12 UTC Comment hidden (obsolete)
Comment 5 Timur 2018-05-04 15:05:42 UTC
Repro in Linux with LibreOfficeDev-6.1.0.0.alpha0_2018-03-22-x86_64.AppImage
Comment 6 QA Administrators 2019-05-05 03:30:45 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug